Subject: Re: [PATCH v4 04/19] for-each-ref: add '--points-at' option

From: Junio C Hamano <[email-masked]>
Date: Mon, 22 Jun 2015 12:51:56 -0700

Junio C Hamano <[email-masked]> writes:

>> I have a slight preference for keeping the pairs not squashed. This way,
>> we have a clear separation "write reusable library code" / "use it". But
>> I'm fine with squashing if others prefer.
>
> As I cannot firmly say that "copy & paste first and then later
> clean-up" is bad and we should split them in different way, I
> am fine with leaving them separate as they are.

Having said that, I have a slight preference that a split does not
break my build in the middle of the series by introducing an
unused function, which is noticed by the compiler as a warning, and
turned into an error with -Werror.